<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>三方账单明细查询</title>
    <link rel="stylesheet" th:href="@{/layui/css/layui.css}">
    <link rel="stylesheet" th:href="@{/css/common.css}">
    <!-- 引入组件库 -->
    <script th:src="@{/layui/jquery-3.4.1.min.js}"></script>
    <script th:src="@{/layui/layui.js}"></script>
    <script th:src="@{/layui/lay/xmSelect/xm-select.js}"></script>
    <script th:src="@{/js/common.js}"></script>

    <style>
        body {
            background: #f2f2f2
        }

        #boxDiv {
            background: #ffffff
        }

        #titleDiv {
            overflow: visible;
        }

        .content {
            padding: 0 8px;
        }

        .tableTitle {
            height: 20px;
            margin-top: 10px;
            margin-bottom: 10px;
        }

        .tableTitle > * {
            height: 20px;
            line-height: 20px;
            display: inline-block;
            margin-right: 5px;
        }

        .tableName {
            border-left: 3px solid #0000FF;
            padding-left: 5px;
            font-size: 16px;
            font-weight: bold;
        }

        .selectDate {
            font-size: 14px;
            color: rgba(0, 0, 0, 0.65)
        }

        .layui-table-page {
            height: 81px;
        }
    </style>
</head>
<body class="layui-layout-body">
<div id="boxDiv" style="left:8px;right: 8px;bottom:8px;top:8px;position:absolute;">
    <div class="toolbar" id="titleDiv">
        <div style="display: inline-block;">
            <form class="layui-form">
                <div class="layui-inline">
                    <label class="layui-form-label">支付方式</label>
                    <div class="layui-input-inline formWidthTwo">
                        <select id="c_zffs" class="">
                            <option value="">请选择支付方式</option>
                            <option th:each="payTypeObj : ${payTypeList}" th:value="${payTypeObj.dicvalue}"
                                    th:text="${payTypeObj.dicname}"></option>
                        </select>
                    </div>
                </div>
                <div class="layui-inline">
                    <label class="layui-form-label">日期选择</label>
                    <div class="layui-input-inline">
                        <input type="text" class="layui-input formWidthTwo" id="searchDate" placeholder=" ~ "
                               th:value="${startTime+' ~ '+endTime}">
                    </div>
                </div>
                <div class="layui-inline">
                    <div class="layui-input-inline">
                        <input type="text" class="layui-input" style="width: 240px;" id="likeFiled"
                               placeholder="请输入平台订单号">
                    </div>
                </div>
            </form>
        </div>
        <div class="layui-inline">
            <button class="layui-btn layui-btn-sm layui-btn-normal" data-type="search" id="search" onclick="search()"><i
                    class="layui-icon layui-icon-search"></i>查询
            </button>
            <button class="layui-btn layui-btn-sm layui-btn-normal" onclick="exportExcel()"><i class="layui-icon">&#xe67d;</i>导出
            </button>
        </div>
    </div>
    <div class="content">
        <div class="tableTitle">
            <span class="tableName">三方交易明细</span>
            <span class="selectDate">&nbsp;</span>
        </div>
        <table id="demo" lay-filter="test"></table>
    </div>

</div>
</body>
<script th:inline="javascript">
    let payTypeList = [[${payTypeList}]];
    let layer, laydate, table, tree, form;

    layui.use(['element', 'table', 'laydate', 'layer', 'form', 'tree'], function () {
        layer = layui.layer;
        table = layui.table;
        laydate = layui.laydate;
        tree = layui.tree;
        form = layui.form;

        //表格加载
        table.render({
            elem: '#demo',
            height: 'full-' + ($(".toolbar").height() + 60),
            title: '交易明细',
            page: true,//开启分页
            limit: 20,
            limits: [20, 30, 50],
            //toolbar: '', //开启工具栏，此处显示默认图标，可以自定义模板
            defaultToolbar: [],
            id: 'test',
            //skin:'line',
            even: 'true',
            //size:'lg', 默认普通尺寸 sm 小 lg 大
            cols: [
                [
                    {field: 'C_JYRQ', align: 'center', title: '交易日期', width: 180, sort: false},
                    {field: 'C_JYSJ', align: 'center', title: '交易时间', width: 180, sort: false},
                    {field: 'C_QSRQ', align: 'center', title: '清算日期', width: 180, sort: false},
                    {field: 'C_LSH', align: 'center', title: '流水号', width: 120, sort: false},
                    {field: 'C_SHDDH', align: 'center', title: '商户订单号', width: 120, sort: false},
                    {field: 'C_YSDDH', align: 'center', title: '银商订单号', width: 120, sort: false},
                    {field: 'C_JYLX', align: 'center', title: '交易类型', width: 120, sort: false},
                    {field: 'C_CARD', align: 'center', title: '卡号', width: 120, sort: false},
                    {field: 'C_FKH', align: 'center', title: '发卡行', width: 120, sort: false},
                    {field: 'C_JYJE', align: 'center', title: '交易金额', width: 150, sort: false},
                    {field: 'C_QSJE', align: 'center', title: '清算金额', width: 120, sort: false},
                    {field: 'C_SXF', align: 'center', title: '手续费', width: 120, sort: false},
                    {field: 'C_SJZFJE', align: 'center', title: '实际支付金额', width: 240, sort: false},
                    {field: 'C_ZDH', align: 'center', title: '终端号', width: 180, sort: false},
                    {
                        field: 'C_ZFFS',
                        align: 'center',
                        title: '支付方式',
                        width: 120,
                        sort: false,
                        templet: function (d) {
                            let result = "";
                            for (let i = 0; i < payTypeList.length; i++) {
                                let obj = payTypeList[i];
                                if (d.C_ZFFS === obj.dicvalue) {
                                    result = obj.dicname;
                                    break;
                                }
                            }
                            return result;
                        }
                    },
                    {field: 'C_KLX', align: 'center', title: '卡类型', width: 120, sort: false},
                    {
                        field: 'C_JYLX',
                        align: 'center',
                        title: '交易类型',
                        width: 100,
                        sort: false,
                        templet: function (d) {
                            return d.C_JYLX === '1' ? '消费' : '消费撤销';
                        }
                    },
                    {field: 'C_FQQS', align: 'center', title: '分期期数', width: 120, sort: false},
                ]
            ],
            data: []
        });


        //时间控件
        laydate.render({
            elem: '#searchDate'
            , type: 'date'
            , range: '~'
        });

        search();
    });

    //查询
    function search(num) {
        num = num === null ? 1 : num;
        let url = "/thirdDetail/findThirdDetail";
        let param = {};

        let c_zffs = $("#c_zffs").val();
        param.c_zffs = c_zffs;
        param.likeFiled = $("#likeFiled").val();
        let date = $("#searchDate").val();
        if (date !== '') {
            let time = date.split("~");
            let startTime = time[0].trim();
            let endTime = time[1].trim();

            param.startTime = startTime;
            param.endTime = endTime;

            $(".selectDate").text(startTime + " ~ " + endTime);
        }

        table.reload('test', {
            method: 'get',
            url: url,
            where: param,
            page: {
                curr: num
            }
        });


        let url2 = "/thirdDetail/findThirdCountData"
        AjaxPostJson(url2, param, function (data) {
            if (data.errCode === '0') {
                let thirdNum = data.num;
                let thirdMoney = data.money;
                let htmlStr = "<div style='height: 40px;width: 100%;font-size: 14px;'>" +
                    "交易笔数共" + thirdNum + "笔,汇总金额" + thirdMoney + "元"
                "</div>";
                $(".layui-table-page").prepend(htmlStr);
            } else {

            }
        })
    }

    //导出
    function exportExcel() {
        let url = "/thirdDetail/exportThirdDetail";
        let param = {};

        param.c_zffs = $("#c_zffs").val();
        param.likeFiled = $("#likeFiled").val();
        let date = $("#searchDate").val();
        if (date !== '') {
            let time = date.split("~");
            let startTime = time[0].trim();
            let endTime = time[1].trim();

            param.startTime = startTime;
            param.endTime = endTime;

        }

        let dowloadName = "三方账单明细";
        param.dowloadName = dowloadName;
        let load = layer.load();
        AjaxPostJson(url, param, function (data) {
            layer.close(load);
            if (data.errCode === "0") {
                let fileName = data.dlName;
                location.href = '/download?fileName=' + fileName + '&dowloadName=' + dowloadName;
            } else {
                layer.alert(data.errMsg);
            }
        });
    }
</script>
</html>